part of 'exercise_execute_plan_bloc.dart';

@immutable
abstract class ExerciseExecutePlanEvent extends Equatable {
  const ExerciseExecutePlanEvent();

  @override
  List<Object> get props => [];
}

class AddExerciseByPlanEvent extends ExerciseExecutePlanEvent {
  final ExerciseType exerciseType;
  const AddExerciseByPlanEvent({required this.exerciseType});

  @override
  List<Object> get props => [exerciseType];
}

class ExerciseByPlanLoad extends ExerciseExecutePlanEvent {
  const ExerciseByPlanLoad();
}
